Name:           pachi
Version:        1.0
Release:        13%{?dist}
Summary:        Pachi El Marciano - Platform Game
Group:          Amusements/Games
License:        GPLv2+
URL:            http://dragontech.sourceforge.net/index.php?main=pachi&lang=en
Source0:        http://downloads.sourceforge.net/dragontech/pachi_source.tgz
Source1:        %{name}.desktop
Patch0:         %{name}-fixes.patch
Patch1:         %{name}-nosound.patch
Patch2:         %{name}-more-fixes.patch
Patch3:         %{name}-alt-warnigs-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_mixer-devel desktop-file-utils ImageMagick
Requires:       hicolor-icon-theme

%description
Pachi El Marciano is a cool 2D platform game.


%prep
%setup -q -n Pachi
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0


%build
%configure
make %{?_smp_mflags}
convert Tgfx/icon.bmp %{name}.png


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# easier then patching the Makefile
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_var}/games
mv $RPM_BUILD_ROOT%{_var}/lib/games/%{name}/data/scores.dat \
   $RPM_BUILD_ROOT%{_var}/games/%{name}.hs

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%attr(2755,root,games) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%config(noreplace) %attr (0664,root,games) %{_var}/games/%{name}.hs


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Hans de Goede <hdegoede@redhat.com> 1.0-7
- Update description for new trademark guidelines

* Sun Jan 11 2009 Hans de Goede <hdegoede@redhat.com> 1.0-6
- Add 2 patches with small fixes from altlinux

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-5
- Autorebuild for GCC 4.3

* Sat Jan 12 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-4
- Fix compilation with gcc 4.3

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-3
- Update License tag for new Licensing Guidelines compliance

* Thu Jan 11 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-2
- Stop pachi from crashing when it cannot open the soundcard (bz 221561)

* Fri Nov 10 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-1
- initial Fedora Extras package
